package com.mvc.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TChkrptDetailExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TChkrptDetailExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andDetailIdIsNull() {
            addCriterion("DETAIL_ID is null");
            return (Criteria) this;
        }

        public Criteria andDetailIdIsNotNull() {
            addCriterion("DETAIL_ID is not null");
            return (Criteria) this;
        }

        public Criteria andDetailIdEqualTo(String value) {
            addCriterion("DETAIL_ID =", value, "detailId");
            return (Criteria) this;
        }

        public Criteria andDetailIdNotEqualTo(String value) {
            addCriterion("DETAIL_ID <>", value, "detailId");
            return (Criteria) this;
        }

        public Criteria andDetailIdGreaterThan(String value) {
            addCriterion("DETAIL_ID >", value, "detailId");
            return (Criteria) this;
        }

        public Criteria andDetailIdGreaterThanOrEqualTo(String value) {
            addCriterion("DETAIL_ID >=", value, "detailId");
            return (Criteria) this;
        }

        public Criteria andDetailIdLessThan(String value) {
            addCriterion("DETAIL_ID <", value, "detailId");
            return (Criteria) this;
        }

        public Criteria andDetailIdLessThanOrEqualTo(String value) {
            addCriterion("DETAIL_ID <=", value, "detailId");
            return (Criteria) this;
        }

        public Criteria andDetailIdLike(String value) {
            addCriterion("DETAIL_ID like", value, "detailId");
            return (Criteria) this;
        }

        public Criteria andDetailIdNotLike(String value) {
            addCriterion("DETAIL_ID not like", value, "detailId");
            return (Criteria) this;
        }

        public Criteria andDetailIdIn(List<String> values) {
            addCriterion("DETAIL_ID in", values, "detailId");
            return (Criteria) this;
        }

        public Criteria andDetailIdNotIn(List<String> values) {
            addCriterion("DETAIL_ID not in", values, "detailId");
            return (Criteria) this;
        }

        public Criteria andDetailIdBetween(String value1, String value2) {
            addCriterion("DETAIL_ID between", value1, value2, "detailId");
            return (Criteria) this;
        }

        public Criteria andDetailIdNotBetween(String value1, String value2) {
            addCriterion("DETAIL_ID not between", value1, value2, "detailId");
            return (Criteria) this;
        }

        public Criteria andChkrptIdIsNull() {
            addCriterion("CHKRPT_ID is null");
            return (Criteria) this;
        }

        public Criteria andChkrptIdIsNotNull() {
            addCriterion("CHKRPT_ID is not null");
            return (Criteria) this;
        }

        public Criteria andChkrptIdEqualTo(String value) {
            addCriterion("CHKRPT_ID =", value, "chkrptId");
            return (Criteria) this;
        }

        public Criteria andChkrptIdNotEqualTo(String value) {
            addCriterion("CHKRPT_ID <>", value, "chkrptId");
            return (Criteria) this;
        }

        public Criteria andChkrptIdGreaterThan(String value) {
            addCriterion("CHKRPT_ID >", value, "chkrptId");
            return (Criteria) this;
        }

        public Criteria andChkrptIdGreaterThanOrEqualTo(String value) {
            addCriterion("CHKRPT_ID >=", value, "chkrptId");
            return (Criteria) this;
        }

        public Criteria andChkrptIdLessThan(String value) {
            addCriterion("CHKRPT_ID <", value, "chkrptId");
            return (Criteria) this;
        }

        public Criteria andChkrptIdLessThanOrEqualTo(String value) {
            addCriterion("CHKRPT_ID <=", value, "chkrptId");
            return (Criteria) this;
        }

        public Criteria andChkrptIdLike(String value) {
            addCriterion("CHKRPT_ID like", value, "chkrptId");
            return (Criteria) this;
        }

        public Criteria andChkrptIdNotLike(String value) {
            addCriterion("CHKRPT_ID not like", value, "chkrptId");
            return (Criteria) this;
        }

        public Criteria andChkrptIdIn(List<String> values) {
            addCriterion("CHKRPT_ID in", values, "chkrptId");
            return (Criteria) this;
        }

        public Criteria andChkrptIdNotIn(List<String> values) {
            addCriterion("CHKRPT_ID not in", values, "chkrptId");
            return (Criteria) this;
        }

        public Criteria andChkrptIdBetween(String value1, String value2) {
            addCriterion("CHKRPT_ID between", value1, value2, "chkrptId");
            return (Criteria) this;
        }

        public Criteria andChkrptIdNotBetween(String value1, String value2) {
            addCriterion("CHKRPT_ID not between", value1, value2, "chkrptId");
            return (Criteria) this;
        }

        public Criteria andCheckIdIsNull() {
            addCriterion("CHECK_ID is null");
            return (Criteria) this;
        }

        public Criteria andCheckIdIsNotNull() {
            addCriterion("CHECK_ID is not null");
            return (Criteria) this;
        }

        public Criteria andCheckIdEqualTo(String value) {
            addCriterion("CHECK_ID =", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdNotEqualTo(String value) {
            addCriterion("CHECK_ID <>", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdGreaterThan(String value) {
            addCriterion("CHECK_ID >", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdGreaterThanOrEqualTo(String value) {
            addCriterion("CHECK_ID >=", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdLessThan(String value) {
            addCriterion("CHECK_ID <", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdLessThanOrEqualTo(String value) {
            addCriterion("CHECK_ID <=", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdLike(String value) {
            addCriterion("CHECK_ID like", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdNotLike(String value) {
            addCriterion("CHECK_ID not like", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdIn(List<String> values) {
            addCriterion("CHECK_ID in", values, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdNotIn(List<String> values) {
            addCriterion("CHECK_ID not in", values, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdBetween(String value1, String value2) {
            addCriterion("CHECK_ID between", value1, value2, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdNotBetween(String value1, String value2) {
            addCriterion("CHECK_ID not between", value1, value2, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckDetailIdIsNull() {
            addCriterion("CHECK_DETAIL_ID is null");
            return (Criteria) this;
        }

        public Criteria andCheckDetailIdIsNotNull() {
            addCriterion("CHECK_DETAIL_ID is not null");
            return (Criteria) this;
        }

        public Criteria andCheckDetailIdEqualTo(String value) {
            addCriterion("CHECK_DETAIL_ID =", value, "checkDetailId");
            return (Criteria) this;
        }

        public Criteria andCheckDetailIdNotEqualTo(String value) {
            addCriterion("CHECK_DETAIL_ID <>", value, "checkDetailId");
            return (Criteria) this;
        }

        public Criteria andCheckDetailIdGreaterThan(String value) {
            addCriterion("CHECK_DETAIL_ID >", value, "checkDetailId");
            return (Criteria) this;
        }

        public Criteria andCheckDetailIdGreaterThanOrEqualTo(String value) {
            addCriterion("CHECK_DETAIL_ID >=", value, "checkDetailId");
            return (Criteria) this;
        }

        public Criteria andCheckDetailIdLessThan(String value) {
            addCriterion("CHECK_DETAIL_ID <", value, "checkDetailId");
            return (Criteria) this;
        }

        public Criteria andCheckDetailIdLessThanOrEqualTo(String value) {
            addCriterion("CHECK_DETAIL_ID <=", value, "checkDetailId");
            return (Criteria) this;
        }

        public Criteria andCheckDetailIdLike(String value) {
            addCriterion("CHECK_DETAIL_ID like", value, "checkDetailId");
            return (Criteria) this;
        }

        public Criteria andCheckDetailIdNotLike(String value) {
            addCriterion("CHECK_DETAIL_ID not like", value, "checkDetailId");
            return (Criteria) this;
        }

        public Criteria andCheckDetailIdIn(List<String> values) {
            addCriterion("CHECK_DETAIL_ID in", values, "checkDetailId");
            return (Criteria) this;
        }

        public Criteria andCheckDetailIdNotIn(List<String> values) {
            addCriterion("CHECK_DETAIL_ID not in", values, "checkDetailId");
            return (Criteria) this;
        }

        public Criteria andCheckDetailIdBetween(String value1, String value2) {
            addCriterion("CHECK_DETAIL_ID between", value1, value2, "checkDetailId");
            return (Criteria) this;
        }

        public Criteria andCheckDetailIdNotBetween(String value1, String value2) {
            addCriterion("CHECK_DETAIL_ID not between", value1, value2, "checkDetailId");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIsNull() {
            addCriterion("DEVICE_SN is null");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIsNotNull() {
            addCriterion("DEVICE_SN is not null");
            return (Criteria) this;
        }

        public Criteria andDeviceSnEqualTo(String value) {
            addCriterion("DEVICE_SN =", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotEqualTo(String value) {
            addCriterion("DEVICE_SN <>", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnGreaterThan(String value) {
            addCriterion("DEVICE_SN >", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnGreaterThanOrEqualTo(String value) {
            addCriterion("DEVICE_SN >=", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLessThan(String value) {
            addCriterion("DEVICE_SN <", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLessThanOrEqualTo(String value) {
            addCriterion("DEVICE_SN <=", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLike(String value) {
            addCriterion("DEVICE_SN like", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotLike(String value) {
            addCriterion("DEVICE_SN not like", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIn(List<String> values) {
            addCriterion("DEVICE_SN in", values, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotIn(List<String> values) {
            addCriterion("DEVICE_SN not in", values, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnBetween(String value1, String value2) {
            addCriterion("DEVICE_SN between", value1, value2, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotBetween(String value1, String value2) {
            addCriterion("DEVICE_SN not between", value1, value2, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andCheckPosIsNull() {
            addCriterion("CHECK_POS is null");
            return (Criteria) this;
        }

        public Criteria andCheckPosIsNotNull() {
            addCriterion("CHECK_POS is not null");
            return (Criteria) this;
        }

        public Criteria andCheckPosEqualTo(String value) {
            addCriterion("CHECK_POS =", value, "checkPos");
            return (Criteria) this;
        }

        public Criteria andCheckPosNotEqualTo(String value) {
            addCriterion("CHECK_POS <>", value, "checkPos");
            return (Criteria) this;
        }

        public Criteria andCheckPosGreaterThan(String value) {
            addCriterion("CHECK_POS >", value, "checkPos");
            return (Criteria) this;
        }

        public Criteria andCheckPosGreaterThanOrEqualTo(String value) {
            addCriterion("CHECK_POS >=", value, "checkPos");
            return (Criteria) this;
        }

        public Criteria andCheckPosLessThan(String value) {
            addCriterion("CHECK_POS <", value, "checkPos");
            return (Criteria) this;
        }

        public Criteria andCheckPosLessThanOrEqualTo(String value) {
            addCriterion("CHECK_POS <=", value, "checkPos");
            return (Criteria) this;
        }

        public Criteria andCheckPosLike(String value) {
            addCriterion("CHECK_POS like", value, "checkPos");
            return (Criteria) this;
        }

        public Criteria andCheckPosNotLike(String value) {
            addCriterion("CHECK_POS not like", value, "checkPos");
            return (Criteria) this;
        }

        public Criteria andCheckPosIn(List<String> values) {
            addCriterion("CHECK_POS in", values, "checkPos");
            return (Criteria) this;
        }

        public Criteria andCheckPosNotIn(List<String> values) {
            addCriterion("CHECK_POS not in", values, "checkPos");
            return (Criteria) this;
        }

        public Criteria andCheckPosBetween(String value1, String value2) {
            addCriterion("CHECK_POS between", value1, value2, "checkPos");
            return (Criteria) this;
        }

        public Criteria andCheckPosNotBetween(String value1, String value2) {
            addCriterion("CHECK_POS not between", value1, value2, "checkPos");
            return (Criteria) this;
        }

        public Criteria andRevIntegRateIsNull() {
            addCriterion("REV_INTEG_RATE is null");
            return (Criteria) this;
        }

        public Criteria andRevIntegRateIsNotNull() {
            addCriterion("REV_INTEG_RATE is not null");
            return (Criteria) this;
        }

        public Criteria andRevIntegRateEqualTo(BigDecimal value) {
            addCriterion("REV_INTEG_RATE =", value, "revIntegRate");
            return (Criteria) this;
        }

        public Criteria andRevIntegRateNotEqualTo(BigDecimal value) {
            addCriterion("REV_INTEG_RATE <>", value, "revIntegRate");
            return (Criteria) this;
        }

        public Criteria andRevIntegRateGreaterThan(BigDecimal value) {
            addCriterion("REV_INTEG_RATE >", value, "revIntegRate");
            return (Criteria) this;
        }

        public Criteria andRevIntegRateGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("REV_INTEG_RATE >=", value, "revIntegRate");
            return (Criteria) this;
        }

        public Criteria andRevIntegRateLessThan(BigDecimal value) {
            addCriterion("REV_INTEG_RATE <", value, "revIntegRate");
            return (Criteria) this;
        }

        public Criteria andRevIntegRateLessThanOrEqualTo(BigDecimal value) {
            addCriterion("REV_INTEG_RATE <=", value, "revIntegRate");
            return (Criteria) this;
        }

        public Criteria andRevIntegRateIn(List<BigDecimal> values) {
            addCriterion("REV_INTEG_RATE in", values, "revIntegRate");
            return (Criteria) this;
        }

        public Criteria andRevIntegRateNotIn(List<BigDecimal> values) {
            addCriterion("REV_INTEG_RATE not in", values, "revIntegRate");
            return (Criteria) this;
        }

        public Criteria andRevIntegRateBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("REV_INTEG_RATE between", value1, value2, "revIntegRate");
            return (Criteria) this;
        }

        public Criteria andRevIntegRateNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("REV_INTEG_RATE not between", value1, value2, "revIntegRate");
            return (Criteria) this;
        }

        public Criteria andRecogAccuracyIsNull() {
            addCriterion("RECOG_ACCURACY is null");
            return (Criteria) this;
        }

        public Criteria andRecogAccuracyIsNotNull() {
            addCriterion("RECOG_ACCURACY is not null");
            return (Criteria) this;
        }

        public Criteria andRecogAccuracyEqualTo(BigDecimal value) {
            addCriterion("RECOG_ACCURACY =", value, "recogAccuracy");
            return (Criteria) this;
        }

        public Criteria andRecogAccuracyNotEqualTo(BigDecimal value) {
            addCriterion("RECOG_ACCURACY <>", value, "recogAccuracy");
            return (Criteria) this;
        }

        public Criteria andRecogAccuracyGreaterThan(BigDecimal value) {
            addCriterion("RECOG_ACCURACY >", value, "recogAccuracy");
            return (Criteria) this;
        }

        public Criteria andRecogAccuracyGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("RECOG_ACCURACY >=", value, "recogAccuracy");
            return (Criteria) this;
        }

        public Criteria andRecogAccuracyLessThan(BigDecimal value) {
            addCriterion("RECOG_ACCURACY <", value, "recogAccuracy");
            return (Criteria) this;
        }

        public Criteria andRecogAccuracyLessThanOrEqualTo(BigDecimal value) {
            addCriterion("RECOG_ACCURACY <=", value, "recogAccuracy");
            return (Criteria) this;
        }

        public Criteria andRecogAccuracyIn(List<BigDecimal> values) {
            addCriterion("RECOG_ACCURACY in", values, "recogAccuracy");
            return (Criteria) this;
        }

        public Criteria andRecogAccuracyNotIn(List<BigDecimal> values) {
            addCriterion("RECOG_ACCURACY not in", values, "recogAccuracy");
            return (Criteria) this;
        }

        public Criteria andRecogAccuracyBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("RECOG_ACCURACY between", value1, value2, "recogAccuracy");
            return (Criteria) this;
        }

        public Criteria andRecogAccuracyNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("RECOG_ACCURACY not between", value1, value2, "recogAccuracy");
            return (Criteria) this;
        }

        public Criteria andFinalAccuracyIsNull() {
            addCriterion("FINAL_ACCURACY is null");
            return (Criteria) this;
        }

        public Criteria andFinalAccuracyIsNotNull() {
            addCriterion("FINAL_ACCURACY is not null");
            return (Criteria) this;
        }

        public Criteria andFinalAccuracyEqualTo(BigDecimal value) {
            addCriterion("FINAL_ACCURACY =", value, "finalAccuracy");
            return (Criteria) this;
        }

        public Criteria andFinalAccuracyNotEqualTo(BigDecimal value) {
            addCriterion("FINAL_ACCURACY <>", value, "finalAccuracy");
            return (Criteria) this;
        }

        public Criteria andFinalAccuracyGreaterThan(BigDecimal value) {
            addCriterion("FINAL_ACCURACY >", value, "finalAccuracy");
            return (Criteria) this;
        }

        public Criteria andFinalAccuracyGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("FINAL_ACCURACY >=", value, "finalAccuracy");
            return (Criteria) this;
        }

        public Criteria andFinalAccuracyLessThan(BigDecimal value) {
            addCriterion("FINAL_ACCURACY <", value, "finalAccuracy");
            return (Criteria) this;
        }

        public Criteria andFinalAccuracyLessThanOrEqualTo(BigDecimal value) {
            addCriterion("FINAL_ACCURACY <=", value, "finalAccuracy");
            return (Criteria) this;
        }

        public Criteria andFinalAccuracyIn(List<BigDecimal> values) {
            addCriterion("FINAL_ACCURACY in", values, "finalAccuracy");
            return (Criteria) this;
        }

        public Criteria andFinalAccuracyNotIn(List<BigDecimal> values) {
            addCriterion("FINAL_ACCURACY not in", values, "finalAccuracy");
            return (Criteria) this;
        }

        public Criteria andFinalAccuracyBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("FINAL_ACCURACY between", value1, value2, "finalAccuracy");
            return (Criteria) this;
        }

        public Criteria andFinalAccuracyNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("FINAL_ACCURACY not between", value1, value2, "finalAccuracy");
            return (Criteria) this;
        }

        public Criteria andRsrpQualRateIsNull() {
            addCriterion("RSRP_QUAL_RATE is null");
            return (Criteria) this;
        }

        public Criteria andRsrpQualRateIsNotNull() {
            addCriterion("RSRP_QUAL_RATE is not null");
            return (Criteria) this;
        }

        public Criteria andRsrpQualRateEqualTo(BigDecimal value) {
            addCriterion("RSRP_QUAL_RATE =", value, "rsrpQualRate");
            return (Criteria) this;
        }

        public Criteria andRsrpQualRateNotEqualTo(BigDecimal value) {
            addCriterion("RSRP_QUAL_RATE <>", value, "rsrpQualRate");
            return (Criteria) this;
        }

        public Criteria andRsrpQualRateGreaterThan(BigDecimal value) {
            addCriterion("RSRP_QUAL_RATE >", value, "rsrpQualRate");
            return (Criteria) this;
        }

        public Criteria andRsrpQualRateGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("RSRP_QUAL_RATE >=", value, "rsrpQualRate");
            return (Criteria) this;
        }

        public Criteria andRsrpQualRateLessThan(BigDecimal value) {
            addCriterion("RSRP_QUAL_RATE <", value, "rsrpQualRate");
            return (Criteria) this;
        }

        public Criteria andRsrpQualRateLessThanOrEqualTo(BigDecimal value) {
            addCriterion("RSRP_QUAL_RATE <=", value, "rsrpQualRate");
            return (Criteria) this;
        }

        public Criteria andRsrpQualRateIn(List<BigDecimal> values) {
            addCriterion("RSRP_QUAL_RATE in", values, "rsrpQualRate");
            return (Criteria) this;
        }

        public Criteria andRsrpQualRateNotIn(List<BigDecimal> values) {
            addCriterion("RSRP_QUAL_RATE not in", values, "rsrpQualRate");
            return (Criteria) this;
        }

        public Criteria andRsrpQualRateBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("RSRP_QUAL_RATE between", value1, value2, "rsrpQualRate");
            return (Criteria) this;
        }

        public Criteria andRsrpQualRateNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("RSRP_QUAL_RATE not between", value1, value2, "rsrpQualRate");
            return (Criteria) this;
        }

        public Criteria andVtQualRateIsNull() {
            addCriterion("VT_QUAL_RATE is null");
            return (Criteria) this;
        }

        public Criteria andVtQualRateIsNotNull() {
            addCriterion("VT_QUAL_RATE is not null");
            return (Criteria) this;
        }

        public Criteria andVtQualRateEqualTo(BigDecimal value) {
            addCriterion("VT_QUAL_RATE =", value, "vtQualRate");
            return (Criteria) this;
        }

        public Criteria andVtQualRateNotEqualTo(BigDecimal value) {
            addCriterion("VT_QUAL_RATE <>", value, "vtQualRate");
            return (Criteria) this;
        }

        public Criteria andVtQualRateGreaterThan(BigDecimal value) {
            addCriterion("VT_QUAL_RATE >", value, "vtQualRate");
            return (Criteria) this;
        }

        public Criteria andVtQualRateGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("VT_QUAL_RATE >=", value, "vtQualRate");
            return (Criteria) this;
        }

        public Criteria andVtQualRateLessThan(BigDecimal value) {
            addCriterion("VT_QUAL_RATE <", value, "vtQualRate");
            return (Criteria) this;
        }

        public Criteria andVtQualRateLessThanOrEqualTo(BigDecimal value) {
            addCriterion("VT_QUAL_RATE <=", value, "vtQualRate");
            return (Criteria) this;
        }

        public Criteria andVtQualRateIn(List<BigDecimal> values) {
            addCriterion("VT_QUAL_RATE in", values, "vtQualRate");
            return (Criteria) this;
        }

        public Criteria andVtQualRateNotIn(List<BigDecimal> values) {
            addCriterion("VT_QUAL_RATE not in", values, "vtQualRate");
            return (Criteria) this;
        }

        public Criteria andVtQualRateBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("VT_QUAL_RATE between", value1, value2, "vtQualRate");
            return (Criteria) this;
        }

        public Criteria andVtQualRateNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("VT_QUAL_RATE not between", value1, value2, "vtQualRate");
            return (Criteria) this;
        }

        public Criteria andSystemQualFlagIsNull() {
            addCriterion("SYSTEM_QUAL_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andSystemQualFlagIsNotNull() {
            addCriterion("SYSTEM_QUAL_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andSystemQualFlagEqualTo(String value) {
            addCriterion("SYSTEM_QUAL_FLAG =", value, "systemQualFlag");
            return (Criteria) this;
        }

        public Criteria andSystemQualFlagNotEqualTo(String value) {
            addCriterion("SYSTEM_QUAL_FLAG <>", value, "systemQualFlag");
            return (Criteria) this;
        }

        public Criteria andSystemQualFlagGreaterThan(String value) {
            addCriterion("SYSTEM_QUAL_FLAG >", value, "systemQualFlag");
            return (Criteria) this;
        }

        public Criteria andSystemQualFlagGreaterThanOrEqualTo(String value) {
            addCriterion("SYSTEM_QUAL_FLAG >=", value, "systemQualFlag");
            return (Criteria) this;
        }

        public Criteria andSystemQualFlagLessThan(String value) {
            addCriterion("SYSTEM_QUAL_FLAG <", value, "systemQualFlag");
            return (Criteria) this;
        }

        public Criteria andSystemQualFlagLessThanOrEqualTo(String value) {
            addCriterion("SYSTEM_QUAL_FLAG <=", value, "systemQualFlag");
            return (Criteria) this;
        }

        public Criteria andSystemQualFlagLike(String value) {
            addCriterion("SYSTEM_QUAL_FLAG like", value, "systemQualFlag");
            return (Criteria) this;
        }

        public Criteria andSystemQualFlagNotLike(String value) {
            addCriterion("SYSTEM_QUAL_FLAG not like", value, "systemQualFlag");
            return (Criteria) this;
        }

        public Criteria andSystemQualFlagIn(List<String> values) {
            addCriterion("SYSTEM_QUAL_FLAG in", values, "systemQualFlag");
            return (Criteria) this;
        }

        public Criteria andSystemQualFlagNotIn(List<String> values) {
            addCriterion("SYSTEM_QUAL_FLAG not in", values, "systemQualFlag");
            return (Criteria) this;
        }

        public Criteria andSystemQualFlagBetween(String value1, String value2) {
            addCriterion("SYSTEM_QUAL_FLAG between", value1, value2, "systemQualFlag");
            return (Criteria) this;
        }

        public Criteria andSystemQualFlagNotBetween(String value1, String value2) {
            addCriterion("SYSTEM_QUAL_FLAG not between", value1, value2, "systemQualFlag");
            return (Criteria) this;
        }

        public Criteria andManualQualFlagIsNull() {
            addCriterion("MANUAL_QUAL_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andManualQualFlagIsNotNull() {
            addCriterion("MANUAL_QUAL_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andManualQualFlagEqualTo(String value) {
            addCriterion("MANUAL_QUAL_FLAG =", value, "manualQualFlag");
            return (Criteria) this;
        }

        public Criteria andManualQualFlagNotEqualTo(String value) {
            addCriterion("MANUAL_QUAL_FLAG <>", value, "manualQualFlag");
            return (Criteria) this;
        }

        public Criteria andManualQualFlagGreaterThan(String value) {
            addCriterion("MANUAL_QUAL_FLAG >", value, "manualQualFlag");
            return (Criteria) this;
        }

        public Criteria andManualQualFlagGreaterThanOrEqualTo(String value) {
            addCriterion("MANUAL_QUAL_FLAG >=", value, "manualQualFlag");
            return (Criteria) this;
        }

        public Criteria andManualQualFlagLessThan(String value) {
            addCriterion("MANUAL_QUAL_FLAG <", value, "manualQualFlag");
            return (Criteria) this;
        }

        public Criteria andManualQualFlagLessThanOrEqualTo(String value) {
            addCriterion("MANUAL_QUAL_FLAG <=", value, "manualQualFlag");
            return (Criteria) this;
        }

        public Criteria andManualQualFlagLike(String value) {
            addCriterion("MANUAL_QUAL_FLAG like", value, "manualQualFlag");
            return (Criteria) this;
        }

        public Criteria andManualQualFlagNotLike(String value) {
            addCriterion("MANUAL_QUAL_FLAG not like", value, "manualQualFlag");
            return (Criteria) this;
        }

        public Criteria andManualQualFlagIn(List<String> values) {
            addCriterion("MANUAL_QUAL_FLAG in", values, "manualQualFlag");
            return (Criteria) this;
        }

        public Criteria andManualQualFlagNotIn(List<String> values) {
            addCriterion("MANUAL_QUAL_FLAG not in", values, "manualQualFlag");
            return (Criteria) this;
        }

        public Criteria andManualQualFlagBetween(String value1, String value2) {
            addCriterion("MANUAL_QUAL_FLAG between", value1, value2, "manualQualFlag");
            return (Criteria) this;
        }

        public Criteria andManualQualFlagNotBetween(String value1, String value2) {
            addCriterion("MANUAL_QUAL_FLAG not between", value1, value2, "manualQualFlag");
            return (Criteria) this;
        }

        public Criteria andResolveTimeIsNull() {
            addCriterion("RESOLVE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andResolveTimeIsNotNull() {
            addCriterion("RESOLVE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andResolveTimeEqualTo(Date value) {
            addCriterion("RESOLVE_TIME =", value, "resolveTime");
            return (Criteria) this;
        }

        public Criteria andResolveTimeNotEqualTo(Date value) {
            addCriterion("RESOLVE_TIME <>", value, "resolveTime");
            return (Criteria) this;
        }

        public Criteria andResolveTimeGreaterThan(Date value) {
            addCriterion("RESOLVE_TIME >", value, "resolveTime");
            return (Criteria) this;
        }

        public Criteria andResolveTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("RESOLVE_TIME >=", value, "resolveTime");
            return (Criteria) this;
        }

        public Criteria andResolveTimeLessThan(Date value) {
            addCriterion("RESOLVE_TIME <", value, "resolveTime");
            return (Criteria) this;
        }

        public Criteria andResolveTimeLessThanOrEqualTo(Date value) {
            addCriterion("RESOLVE_TIME <=", value, "resolveTime");
            return (Criteria) this;
        }

        public Criteria andResolveTimeIn(List<Date> values) {
            addCriterion("RESOLVE_TIME in", values, "resolveTime");
            return (Criteria) this;
        }

        public Criteria andResolveTimeNotIn(List<Date> values) {
            addCriterion("RESOLVE_TIME not in", values, "resolveTime");
            return (Criteria) this;
        }

        public Criteria andResolveTimeBetween(Date value1, Date value2) {
            addCriterion("RESOLVE_TIME between", value1, value2, "resolveTime");
            return (Criteria) this;
        }

        public Criteria andResolveTimeNotBetween(Date value1, Date value2) {
            addCriterion("RESOLVE_TIME not between", value1, value2, "resolveTime");
            return (Criteria) this;
        }

        public Criteria andResolveManIsNull() {
            addCriterion("RESOLVE_MAN is null");
            return (Criteria) this;
        }

        public Criteria andResolveManIsNotNull() {
            addCriterion("RESOLVE_MAN is not null");
            return (Criteria) this;
        }

        public Criteria andResolveManEqualTo(String value) {
            addCriterion("RESOLVE_MAN =", value, "resolveMan");
            return (Criteria) this;
        }

        public Criteria andResolveManNotEqualTo(String value) {
            addCriterion("RESOLVE_MAN <>", value, "resolveMan");
            return (Criteria) this;
        }

        public Criteria andResolveManGreaterThan(String value) {
            addCriterion("RESOLVE_MAN >", value, "resolveMan");
            return (Criteria) this;
        }

        public Criteria andResolveManGreaterThanOrEqualTo(String value) {
            addCriterion("RESOLVE_MAN >=", value, "resolveMan");
            return (Criteria) this;
        }

        public Criteria andResolveManLessThan(String value) {
            addCriterion("RESOLVE_MAN <", value, "resolveMan");
            return (Criteria) this;
        }

        public Criteria andResolveManLessThanOrEqualTo(String value) {
            addCriterion("RESOLVE_MAN <=", value, "resolveMan");
            return (Criteria) this;
        }

        public Criteria andResolveManLike(String value) {
            addCriterion("RESOLVE_MAN like", value, "resolveMan");
            return (Criteria) this;
        }

        public Criteria andResolveManNotLike(String value) {
            addCriterion("RESOLVE_MAN not like", value, "resolveMan");
            return (Criteria) this;
        }

        public Criteria andResolveManIn(List<String> values) {
            addCriterion("RESOLVE_MAN in", values, "resolveMan");
            return (Criteria) this;
        }

        public Criteria andResolveManNotIn(List<String> values) {
            addCriterion("RESOLVE_MAN not in", values, "resolveMan");
            return (Criteria) this;
        }

        public Criteria andResolveManBetween(String value1, String value2) {
            addCriterion("RESOLVE_MAN between", value1, value2, "resolveMan");
            return (Criteria) this;
        }

        public Criteria andResolveManNotBetween(String value1, String value2) {
            addCriterion("RESOLVE_MAN not between", value1, value2, "resolveMan");
            return (Criteria) this;
        }

        public Criteria andFinalQualFlagIsNull() {
            addCriterion("FINAL_QUAL_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andFinalQualFlagIsNotNull() {
            addCriterion("FINAL_QUAL_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andFinalQualFlagEqualTo(String value) {
            addCriterion("FINAL_QUAL_FLAG =", value, "finalQualFlag");
            return (Criteria) this;
        }

        public Criteria andFinalQualFlagNotEqualTo(String value) {
            addCriterion("FINAL_QUAL_FLAG <>", value, "finalQualFlag");
            return (Criteria) this;
        }

        public Criteria andFinalQualFlagGreaterThan(String value) {
            addCriterion("FINAL_QUAL_FLAG >", value, "finalQualFlag");
            return (Criteria) this;
        }

        public Criteria andFinalQualFlagGreaterThanOrEqualTo(String value) {
            addCriterion("FINAL_QUAL_FLAG >=", value, "finalQualFlag");
            return (Criteria) this;
        }

        public Criteria andFinalQualFlagLessThan(String value) {
            addCriterion("FINAL_QUAL_FLAG <", value, "finalQualFlag");
            return (Criteria) this;
        }

        public Criteria andFinalQualFlagLessThanOrEqualTo(String value) {
            addCriterion("FINAL_QUAL_FLAG <=", value, "finalQualFlag");
            return (Criteria) this;
        }

        public Criteria andFinalQualFlagLike(String value) {
            addCriterion("FINAL_QUAL_FLAG like", value, "finalQualFlag");
            return (Criteria) this;
        }

        public Criteria andFinalQualFlagNotLike(String value) {
            addCriterion("FINAL_QUAL_FLAG not like", value, "finalQualFlag");
            return (Criteria) this;
        }

        public Criteria andFinalQualFlagIn(List<String> values) {
            addCriterion("FINAL_QUAL_FLAG in", values, "finalQualFlag");
            return (Criteria) this;
        }

        public Criteria andFinalQualFlagNotIn(List<String> values) {
            addCriterion("FINAL_QUAL_FLAG not in", values, "finalQualFlag");
            return (Criteria) this;
        }

        public Criteria andFinalQualFlagBetween(String value1, String value2) {
            addCriterion("FINAL_QUAL_FLAG between", value1, value2, "finalQualFlag");
            return (Criteria) this;
        }

        public Criteria andFinalQualFlagNotBetween(String value1, String value2) {
            addCriterion("FINAL_QUAL_FLAG not between", value1, value2, "finalQualFlag");
            return (Criteria) this;
        }

        public Criteria andIssueCertifFlagIsNull() {
            addCriterion("ISSUE_CERTIF_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andIssueCertifFlagIsNotNull() {
            addCriterion("ISSUE_CERTIF_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andIssueCertifFlagEqualTo(String value) {
            addCriterion("ISSUE_CERTIF_FLAG =", value, "issueCertifFlag");
            return (Criteria) this;
        }

        public Criteria andIssueCertifFlagNotEqualTo(String value) {
            addCriterion("ISSUE_CERTIF_FLAG <>", value, "issueCertifFlag");
            return (Criteria) this;
        }

        public Criteria andIssueCertifFlagGreaterThan(String value) {
            addCriterion("ISSUE_CERTIF_FLAG >", value, "issueCertifFlag");
            return (Criteria) this;
        }

        public Criteria andIssueCertifFlagGreaterThanOrEqualTo(String value) {
            addCriterion("ISSUE_CERTIF_FLAG >=", value, "issueCertifFlag");
            return (Criteria) this;
        }

        public Criteria andIssueCertifFlagLessThan(String value) {
            addCriterion("ISSUE_CERTIF_FLAG <", value, "issueCertifFlag");
            return (Criteria) this;
        }

        public Criteria andIssueCertifFlagLessThanOrEqualTo(String value) {
            addCriterion("ISSUE_CERTIF_FLAG <=", value, "issueCertifFlag");
            return (Criteria) this;
        }

        public Criteria andIssueCertifFlagLike(String value) {
            addCriterion("ISSUE_CERTIF_FLAG like", value, "issueCertifFlag");
            return (Criteria) this;
        }

        public Criteria andIssueCertifFlagNotLike(String value) {
            addCriterion("ISSUE_CERTIF_FLAG not like", value, "issueCertifFlag");
            return (Criteria) this;
        }

        public Criteria andIssueCertifFlagIn(List<String> values) {
            addCriterion("ISSUE_CERTIF_FLAG in", values, "issueCertifFlag");
            return (Criteria) this;
        }

        public Criteria andIssueCertifFlagNotIn(List<String> values) {
            addCriterion("ISSUE_CERTIF_FLAG not in", values, "issueCertifFlag");
            return (Criteria) this;
        }

        public Criteria andIssueCertifFlagBetween(String value1, String value2) {
            addCriterion("ISSUE_CERTIF_FLAG between", value1, value2, "issueCertifFlag");
            return (Criteria) this;
        }

        public Criteria andIssueCertifFlagNotBetween(String value1, String value2) {
            addCriterion("ISSUE_CERTIF_FLAG not between", value1, value2, "issueCertifFlag");
            return (Criteria) this;
        }

        public Criteria andCertifIdIsNull() {
            addCriterion("CERTIF_ID is null");
            return (Criteria) this;
        }

        public Criteria andCertifIdIsNotNull() {
            addCriterion("CERTIF_ID is not null");
            return (Criteria) this;
        }

        public Criteria andCertifIdEqualTo(String value) {
            addCriterion("CERTIF_ID =", value, "certifId");
            return (Criteria) this;
        }

        public Criteria andCertifIdNotEqualTo(String value) {
            addCriterion("CERTIF_ID <>", value, "certifId");
            return (Criteria) this;
        }

        public Criteria andCertifIdGreaterThan(String value) {
            addCriterion("CERTIF_ID >", value, "certifId");
            return (Criteria) this;
        }

        public Criteria andCertifIdGreaterThanOrEqualTo(String value) {
            addCriterion("CERTIF_ID >=", value, "certifId");
            return (Criteria) this;
        }

        public Criteria andCertifIdLessThan(String value) {
            addCriterion("CERTIF_ID <", value, "certifId");
            return (Criteria) this;
        }

        public Criteria andCertifIdLessThanOrEqualTo(String value) {
            addCriterion("CERTIF_ID <=", value, "certifId");
            return (Criteria) this;
        }

        public Criteria andCertifIdLike(String value) {
            addCriterion("CERTIF_ID like", value, "certifId");
            return (Criteria) this;
        }

        public Criteria andCertifIdNotLike(String value) {
            addCriterion("CERTIF_ID not like", value, "certifId");
            return (Criteria) this;
        }

        public Criteria andCertifIdIn(List<String> values) {
            addCriterion("CERTIF_ID in", values, "certifId");
            return (Criteria) this;
        }

        public Criteria andCertifIdNotIn(List<String> values) {
            addCriterion("CERTIF_ID not in", values, "certifId");
            return (Criteria) this;
        }

        public Criteria andCertifIdBetween(String value1, String value2) {
            addCriterion("CERTIF_ID between", value1, value2, "certifId");
            return (Criteria) this;
        }

        public Criteria andCertifIdNotBetween(String value1, String value2) {
            addCriterion("CERTIF_ID not between", value1, value2, "certifId");
            return (Criteria) this;
        }

        public Criteria andIssueManIsNull() {
            addCriterion("ISSUE_MAN is null");
            return (Criteria) this;
        }

        public Criteria andIssueManIsNotNull() {
            addCriterion("ISSUE_MAN is not null");
            return (Criteria) this;
        }

        public Criteria andIssueManEqualTo(String value) {
            addCriterion("ISSUE_MAN =", value, "issueMan");
            return (Criteria) this;
        }

        public Criteria andIssueManNotEqualTo(String value) {
            addCriterion("ISSUE_MAN <>", value, "issueMan");
            return (Criteria) this;
        }

        public Criteria andIssueManGreaterThan(String value) {
            addCriterion("ISSUE_MAN >", value, "issueMan");
            return (Criteria) this;
        }

        public Criteria andIssueManGreaterThanOrEqualTo(String value) {
            addCriterion("ISSUE_MAN >=", value, "issueMan");
            return (Criteria) this;
        }

        public Criteria andIssueManLessThan(String value) {
            addCriterion("ISSUE_MAN <", value, "issueMan");
            return (Criteria) this;
        }

        public Criteria andIssueManLessThanOrEqualTo(String value) {
            addCriterion("ISSUE_MAN <=", value, "issueMan");
            return (Criteria) this;
        }

        public Criteria andIssueManLike(String value) {
            addCriterion("ISSUE_MAN like", value, "issueMan");
            return (Criteria) this;
        }

        public Criteria andIssueManNotLike(String value) {
            addCriterion("ISSUE_MAN not like", value, "issueMan");
            return (Criteria) this;
        }

        public Criteria andIssueManIn(List<String> values) {
            addCriterion("ISSUE_MAN in", values, "issueMan");
            return (Criteria) this;
        }

        public Criteria andIssueManNotIn(List<String> values) {
            addCriterion("ISSUE_MAN not in", values, "issueMan");
            return (Criteria) this;
        }

        public Criteria andIssueManBetween(String value1, String value2) {
            addCriterion("ISSUE_MAN between", value1, value2, "issueMan");
            return (Criteria) this;
        }

        public Criteria andIssueManNotBetween(String value1, String value2) {
            addCriterion("ISSUE_MAN not between", value1, value2, "issueMan");
            return (Criteria) this;
        }

        public Criteria andIssueTimeIsNull() {
            addCriterion("ISSUE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andIssueTimeIsNotNull() {
            addCriterion("ISSUE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andIssueTimeEqualTo(Date value) {
            addCriterion("ISSUE_TIME =", value, "issueTime");
            return (Criteria) this;
        }

        public Criteria andIssueTimeNotEqualTo(Date value) {
            addCriterion("ISSUE_TIME <>", value, "issueTime");
            return (Criteria) this;
        }

        public Criteria andIssueTimeGreaterThan(Date value) {
            addCriterion("ISSUE_TIME >", value, "issueTime");
            return (Criteria) this;
        }

        public Criteria andIssueTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("ISSUE_TIME >=", value, "issueTime");
            return (Criteria) this;
        }

        public Criteria andIssueTimeLessThan(Date value) {
            addCriterion("ISSUE_TIME <", value, "issueTime");
            return (Criteria) this;
        }

        public Criteria andIssueTimeLessThanOrEqualTo(Date value) {
            addCriterion("ISSUE_TIME <=", value, "issueTime");
            return (Criteria) this;
        }

        public Criteria andIssueTimeIn(List<Date> values) {
            addCriterion("ISSUE_TIME in", values, "issueTime");
            return (Criteria) this;
        }

        public Criteria andIssueTimeNotIn(List<Date> values) {
            addCriterion("ISSUE_TIME not in", values, "issueTime");
            return (Criteria) this;
        }

        public Criteria andIssueTimeBetween(Date value1, Date value2) {
            addCriterion("ISSUE_TIME between", value1, value2, "issueTime");
            return (Criteria) this;
        }

        public Criteria andIssueTimeNotBetween(Date value1, Date value2) {
            addCriterion("ISSUE_TIME not between", value1, value2, "issueTime");
            return (Criteria) this;
        }

        public Criteria andInsideRsrpQualRateIsNull() {
            addCriterion("INSIDE_RSRP_QUAL_RATE is null");
            return (Criteria) this;
        }

        public Criteria andInsideRsrpQualRateIsNotNull() {
            addCriterion("INSIDE_RSRP_QUAL_RATE is not null");
            return (Criteria) this;
        }

        public Criteria andInsideRsrpQualRateEqualTo(BigDecimal value) {
            addCriterion("INSIDE_RSRP_QUAL_RATE =", value, "insideRsrpQualRate");
            return (Criteria) this;
        }

        public Criteria andInsideRsrpQualRateNotEqualTo(BigDecimal value) {
            addCriterion("INSIDE_RSRP_QUAL_RATE <>", value, "insideRsrpQualRate");
            return (Criteria) this;
        }

        public Criteria andInsideRsrpQualRateGreaterThan(BigDecimal value) {
            addCriterion("INSIDE_RSRP_QUAL_RATE >", value, "insideRsrpQualRate");
            return (Criteria) this;
        }

        public Criteria andInsideRsrpQualRateGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("INSIDE_RSRP_QUAL_RATE >=", value, "insideRsrpQualRate");
            return (Criteria) this;
        }

        public Criteria andInsideRsrpQualRateLessThan(BigDecimal value) {
            addCriterion("INSIDE_RSRP_QUAL_RATE <", value, "insideRsrpQualRate");
            return (Criteria) this;
        }

        public Criteria andInsideRsrpQualRateLessThanOrEqualTo(BigDecimal value) {
            addCriterion("INSIDE_RSRP_QUAL_RATE <=", value, "insideRsrpQualRate");
            return (Criteria) this;
        }

        public Criteria andInsideRsrpQualRateIn(List<BigDecimal> values) {
            addCriterion("INSIDE_RSRP_QUAL_RATE in", values, "insideRsrpQualRate");
            return (Criteria) this;
        }

        public Criteria andInsideRsrpQualRateNotIn(List<BigDecimal> values) {
            addCriterion("INSIDE_RSRP_QUAL_RATE not in", values, "insideRsrpQualRate");
            return (Criteria) this;
        }

        public Criteria andInsideRsrpQualRateBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("INSIDE_RSRP_QUAL_RATE between", value1, value2, "insideRsrpQualRate");
            return (Criteria) this;
        }

        public Criteria andInsideRsrpQualRateNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("INSIDE_RSRP_QUAL_RATE not between", value1, value2, "insideRsrpQualRate");
            return (Criteria) this;
        }

        public Criteria andSwitchAntennaTimeIsNull() {
            addCriterion("SWITCH_ANTENNA_TIME is null");
            return (Criteria) this;
        }

        public Criteria andSwitchAntennaTimeIsNotNull() {
            addCriterion("SWITCH_ANTENNA_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andSwitchAntennaTimeEqualTo(Date value) {
            addCriterion("SWITCH_ANTENNA_TIME =", value, "switchAntennaTime");
            return (Criteria) this;
        }

        public Criteria andSwitchAntennaTimeNotEqualTo(Date value) {
            addCriterion("SWITCH_ANTENNA_TIME <>", value, "switchAntennaTime");
            return (Criteria) this;
        }

        public Criteria andSwitchAntennaTimeGreaterThan(Date value) {
            addCriterion("SWITCH_ANTENNA_TIME >", value, "switchAntennaTime");
            return (Criteria) this;
        }

        public Criteria andSwitchAntennaTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("SWITCH_ANTENNA_TIME >=", value, "switchAntennaTime");
            return (Criteria) this;
        }

        public Criteria andSwitchAntennaTimeLessThan(Date value) {
            addCriterion("SWITCH_ANTENNA_TIME <", value, "switchAntennaTime");
            return (Criteria) this;
        }

        public Criteria andSwitchAntennaTimeLessThanOrEqualTo(Date value) {
            addCriterion("SWITCH_ANTENNA_TIME <=", value, "switchAntennaTime");
            return (Criteria) this;
        }

        public Criteria andSwitchAntennaTimeIn(List<Date> values) {
            addCriterion("SWITCH_ANTENNA_TIME in", values, "switchAntennaTime");
            return (Criteria) this;
        }

        public Criteria andSwitchAntennaTimeNotIn(List<Date> values) {
            addCriterion("SWITCH_ANTENNA_TIME not in", values, "switchAntennaTime");
            return (Criteria) this;
        }

        public Criteria andSwitchAntennaTimeBetween(Date value1, Date value2) {
            addCriterion("SWITCH_ANTENNA_TIME between", value1, value2, "switchAntennaTime");
            return (Criteria) this;
        }

        public Criteria andSwitchAntennaTimeNotBetween(Date value1, Date value2) {
            addCriterion("SWITCH_ANTENNA_TIME not between", value1, value2, "switchAntennaTime");
            return (Criteria) this;
        }

        public Criteria andInsideRevIntegRateIsNull() {
            addCriterion("INSIDE_REV_INTEG_RATE is null");
            return (Criteria) this;
        }

        public Criteria andInsideRevIntegRateIsNotNull() {
            addCriterion("INSIDE_REV_INTEG_RATE is not null");
            return (Criteria) this;
        }

        public Criteria andInsideRevIntegRateEqualTo(BigDecimal value) {
            addCriterion("INSIDE_REV_INTEG_RATE =", value, "insideRevIntegRate");
            return (Criteria) this;
        }

        public Criteria andInsideRevIntegRateNotEqualTo(BigDecimal value) {
            addCriterion("INSIDE_REV_INTEG_RATE <>", value, "insideRevIntegRate");
            return (Criteria) this;
        }

        public Criteria andInsideRevIntegRateGreaterThan(BigDecimal value) {
            addCriterion("INSIDE_REV_INTEG_RATE >", value, "insideRevIntegRate");
            return (Criteria) this;
        }

        public Criteria andInsideRevIntegRateGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("INSIDE_REV_INTEG_RATE >=", value, "insideRevIntegRate");
            return (Criteria) this;
        }

        public Criteria andInsideRevIntegRateLessThan(BigDecimal value) {
            addCriterion("INSIDE_REV_INTEG_RATE <", value, "insideRevIntegRate");
            return (Criteria) this;
        }

        public Criteria andInsideRevIntegRateLessThanOrEqualTo(BigDecimal value) {
            addCriterion("INSIDE_REV_INTEG_RATE <=", value, "insideRevIntegRate");
            return (Criteria) this;
        }

        public Criteria andInsideRevIntegRateIn(List<BigDecimal> values) {
            addCriterion("INSIDE_REV_INTEG_RATE in", values, "insideRevIntegRate");
            return (Criteria) this;
        }

        public Criteria andInsideRevIntegRateNotIn(List<BigDecimal> values) {
            addCriterion("INSIDE_REV_INTEG_RATE not in", values, "insideRevIntegRate");
            return (Criteria) this;
        }

        public Criteria andInsideRevIntegRateBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("INSIDE_REV_INTEG_RATE between", value1, value2, "insideRevIntegRate");
            return (Criteria) this;
        }

        public Criteria andInsideRevIntegRateNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("INSIDE_REV_INTEG_RATE not between", value1, value2, "insideRevIntegRate");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}